Bug 1111243 - EAP6 resource adapter metrics are not shown in JON 3.2 (need : include-runtime=true)
Summary: EAP6 resource adapter metrics are not shown in JON 3.2 (need : include-runtim...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: DR01
: JON 3.3.0
Assignee: Libor Zoubek
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-19 14:38 UTC by rbrackma
Modified: 2015-11-02 00:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 13:59:34 UTC
Type: Bug


Attachments (Terms of Use)
Metrics (168.50 KB, image/png)
2014-08-14 09:16 UTC, Jan Bednarik
no flags Details

Description rbrackma 2014-06-19 14:38:10 UTC
Description of problem:
No Resource adapter runtime metrics (actual pool size, max pool size, ...) from EAP 6.2.x can be monitored with JON 3.2.0

Version-Release number of selected component (if applicable):
JON 3.2.0

How reproducible:
When you navigate to 'Administration' --> 'Metric Collection Template' --> 'JBossAS7 Standalone Server' --> 'Resource Adapters' --> 'Resource Adapter' --> 'Connection Definitions'
you will see only the ONE 'Availablity' metric and nothing else.

We can expect that the JBossAS7 plugin could pull in more metrics, I guess the (include-runtime=true) is not added when pulling in metrics, see expected results.


Steps to Reproduce:
1. deploy a *.rar to EAP6
2. add a resource adapter
3. inventory EAP6 to JON
4. start monitoring the resource adapter (see schedules --> only one metric available)

Actual results:


Expected results:

Here a JBoss CLI command that should be implemented in JON
 ## Monitor Resource Adapter JCA Statistics
/deployment=cicseci.rar/subsystem=resource-adapters/statistics=statistics/connection-definitions=java\:\/comp\/jboss\/eis\/cics\/test:read-resource(include-runtime=true)

    "outcome" => "success",
    "result" => {
        "ActiveCount" => "0",
        "AvailableCount" => "20",
        "AverageBlockingTime" => "0",
        "AverageCreationTime" => "0",
        "CreatedCount" => "0",
        "DestroyedCount" => "0",
        "InUseCount" => "0",
        "MaxCreationTime" => "0",
        "MaxUsedCount" => "0",
        "MaxWaitCount" => "0",
        "MaxWaitTime" => "0",
        "TimedOut" => "0",
        "TotalBlockingTime" => "0",
        "TotalCreationTime" => "0"
    },
    "response-headers" => {"process-state" => "reload-required"}
}


Additional info:

Comment 2 Libor Zoubek 2014-07-07 09:28:43 UTC
in master

commit 2e14e0767af8f58b385c8d4e37b82704ae146fa9
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Mon Jul 7 11:16:16 2014 +0200

    [BZ 1111243]  EAP6 resource adapter metrics are not shown in JON 3.2 (need :
    include-runtime=true)
    
    Added resource-adapters runtime subsystem with 'Connection Definition
    Runtime' as a child resource having all required metrics.
    
    I also a bit extended capability of SubsystemDiscovery. As
    connection-definitions resources are exist a bit deeper in DMR tree I
    introduced new syntax for default 'path' value. This way I avoided to
    introduce just another resource type - in this case it would be "Statistics"
    with path statistics=statistics
    
    Path can look like
    "subsystem=a,sub-sub-system=b/resource-type1|resource-type2"
    
    "/" denotes : go deeper to subsystems and look for given resource types
    there instead of parent resource

Comment 5 Simeon Pinder 2014-07-31 15:51:43 UTC
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993

Comment 6 Jan Bednarik 2014-08-14 09:15:31 UTC
moving to VERIFIED

After reproducing the steps in Comment 3 and Comment 4, new resource appears as a child of given deployment and multiple metrics can be seen (see attached screenshot).

Comment 7 Jan Bednarik 2014-08-14 09:16:14 UTC
Created attachment 926720 [details]
Metrics


Note You need to log in before you can comment on or make changes to this bug.